rte_crypto_param_t(3)

NAME
rte_crypto_param_t

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

uint8_t * data
rte_iova_t iova
size_t length

Detailed Description

Buffer to hold crypto params required for asym operations.

These buffers can be used for both input to PMD and output from PMD. When used for output from PMD, application has to ensure the buffer is large enough to hold the target data.

If an operation requires the PMD to generate a random number, and the device supports CSRNG, 'data' should be set to NULL. The crypto parameter in question will not be used by the PMD, as it is internally generated.

Definition at line 245 of file rte_crypto_asym.h.

Field Documentation

  uint8_t* data
pointer to buffer holding data

Definition at line 246 of file rte_crypto_asym.h.

  rte_iova_t iova
IO address of data buffer

Definition at line 248 of file rte_crypto_asym.h.

  size_t length
length of data in bytes

Definition at line 250 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.